Ruby: OnigMatchArg Struct Reference

Ruby 4.0.6p0 (2026-07-14 revision 03b6d3f8898a28604fe6cb00eae3226b821168f4)

Data Fields
OnigMatchArg Struct Reference

## Data Fields
void * | stack_p
size_t | stack_n
OnigOptionType | options
OnigRegion * | region
const UChar * | start
const UChar * | gpos
OnigPosition | best_len
UChar * | best_s
int | counter
uint64_t | end_time
int | match_cache_status
long | num_fails
long | num_cache_opcodes
OnigCacheOpcode * | cache_opcodes
long | num_cache_points
uint8_t * | match_cache_buf

## Detailed Description

Definition at line 883 of file regint.h.

## Field Documentation

## ◆ best_len

OnigPosition OnigMatchArg::best_len

Definition at line 891 of file regint.h.

## ◆ best_s

UChar* OnigMatchArg::best_s

Definition at line 892 of file regint.h.

## ◆ cache_opcodes

OnigCacheOpcode* OnigMatchArg::cache_opcodes

Definition at line 909 of file regint.h.

## ◆ counter

int OnigMatchArg::counter

Definition at line 898 of file regint.h.

## ◆ end_time

uint64_t OnigMatchArg::end_time

Definition at line 903 of file regint.h.

## ◆ gpos

const UChar* OnigMatchArg::gpos

Definition at line 889 of file regint.h.

## ◆ match_cache_buf

uint8_t* OnigMatchArg::match_cache_buf

Definition at line 911 of file regint.h.

## ◆ match_cache_status

int OnigMatchArg::match_cache_status

Definition at line 906 of file regint.h.

## ◆ num_cache_opcodes

long OnigMatchArg::num_cache_opcodes

Definition at line 908 of file regint.h.

## ◆ num_cache_points

long OnigMatchArg::num_cache_points

Definition at line 910 of file regint.h.

## ◆ num_fails

long OnigMatchArg::num_fails

Definition at line 907 of file regint.h.

## ◆ options

OnigOptionType OnigMatchArg::options

Definition at line 886 of file regint.h.

## ◆ region

OnigRegion* OnigMatchArg::region

Definition at line 887 of file regint.h.

## ◆ stack_n

size_t OnigMatchArg::stack_n

Definition at line 885 of file regint.h.

## ◆ stack_p

void* OnigMatchArg::stack_p

Definition at line 884 of file regint.h.

## ◆ start

const UChar* OnigMatchArg::start

Definition at line 888 of file regint.h.

The documentation for this struct was generated from the following file:

- regint.h